package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillRuleDict;
import com.neusoft.smart.pos.trade.persistent.domain.BillRuleDictExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillRuleDictMapper {
    int countByExample(BillRuleDictExample example);

    int deleteByExample(BillRuleDictExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillRuleDict record);

    int insertSelective(BillRuleDict record);

    List<BillRuleDict> selectByExample(BillRuleDictExample example);

    BillRuleDict selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillRuleDict record, @Param("example") BillRuleDictExample example);

    int updateByExample(@Param("record") BillRuleDict record, @Param("example") BillRuleDictExample example);

    int updateByPrimaryKeySelective(BillRuleDict record);

    int updateByPrimaryKey(BillRuleDict record);

    void batchInsert(@Param("items") List<BillRuleDict> items);
}